"use strict";
const child_process = require("child_process");
const lsdl_bin = require
    .resolve("line-sticker-downloder")
    .replace("dist", "bin");
const parser_args = (sticker, out_path, options = {}) => {
    const args = [sticker];
    if (out_path !== null && out_path !== "") {
        args.push("-d");
        args.push(out_path);
    }
    options.animation ? args.push("-a") : "";
    options.effect ? args.push("-e") : "";
    options.gif ? args.push("-g") : "";
    options.sound ? args.push("-s") : "";
    options.custom ? args.push("-c") : "";
    options.manga ? args.push("-m") : "";
    return args;
};
const lsdl = (sticker, out_path, options = {}) => {
    out_path === "" && out_path === null ? (out_path = null) : "";
    const args = parser_args(sticker, out_path, options);
    return new Promise((resolve, reject) => {
        const child = child_process.spawn(lsdl_bin, args);
        child.on("exit", (code) => {
            if (code === 0) {
                resolve();
            }
            else {
                reject(`Error: ${code}`);
            }
        });
    });
};
lsdl.async = (sticker, out_path, options = {}) => {
    out_path === "" && out_path === null ? (out_path = null) : "";
    const args = parser_args(sticker, out_path, options);
    const { status } = child_process.spawnSync(lsdl_bin, args);
    if (status === 0) {
        return;
    }
    else {
        throw new Error(`Subprocess failed: ${status}`);
    }
};
module.exports = lsdl;
//# sourceMappingURL=main.js.map